/*******************************************************************************
 * Copyright (c) 2009 IBM Corporation and others. All rights reserved. This
 * program and the accompanying materials are made available under the terms of
 * the Eclipse Public License v1.0 which accompanies this distribution, and is
 * available at http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: IBM Corporation - initial API and implementation
 ******************************************************************************/
package org.eclipse.equinox.p2.eclipsecon.actions;

import java.util.Map;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.equinox.internal.p2.touchpoint.eclipse.EclipseTouchpoint;
import org.eclipse.equinox.internal.provisional.frameworkadmin.Manipulator;
import org.eclipse.equinox.internal.provisional.p2.engine.ProvisioningAction;

public class SampleEclipseAction extends ProvisioningAction {
	public static final String ECLIPSE_SAMPLE = "eclipse.sample";
	public static final String VALUE = "value";

	public IStatus execute(Map parameters) {
		Manipulator manipulator = (Manipulator) parameters.get(EclipseTouchpoint.PARM_MANIPULATOR);
		String value = (String) parameters.get(VALUE);
		if (value == null)
			return Activator.createError("value parameter is missing.");
		getMemento().put(VALUE, manipulator.getConfigData().getProperty(ECLIPSE_SAMPLE));
		manipulator.getConfigData().setProperty(ECLIPSE_SAMPLE, value);
		return Status.OK_STATUS;
	}

	public IStatus undo(Map parameters) {
		Manipulator manipulator = (Manipulator) parameters.get(EclipseTouchpoint.PARM_MANIPULATOR);
		String previousValue = (String) getMemento().get(VALUE);
		manipulator.getConfigData().setProperty(ECLIPSE_SAMPLE, previousValue);
		return Status.OK_STATUS;
	}
}