/*******************************************************************************
 * Copyright (c) 2009 IBM Corporation and others. All rights reserved. This
 * program and the accompanying materials are made available under the terms of
 * the Eclipse Public License v1.0 which accompanies this distribution, and is
 * available at http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: IBM Corporation - initial API and implementation
 ******************************************************************************/
package org.eclipse.equinox.p2.eclipsecon.actions;

import java.util.Map;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.equinox.internal.provisional.p2.engine.ProvisioningAction;

public class SampleSystemOutAction extends ProvisioningAction {
	private static final String VALUE = "value";

	public IStatus execute(Map parameters) {
		String value = (String) parameters.get(VALUE);
		if (value == null)
			return Activator.createError("value parameter is missing.");
		System.out.println("SampleSystemOutAction.execute: " + value);
		
		return Status.OK_STATUS;
	}


	public IStatus undo(Map parameters) {
		String value = (String) parameters.get(VALUE);
		if (value == null)
			return Activator.createError("value parameter is missing.");
		System.out.println("SampleSystemOutAction.undo: " + value);
		return Status.OK_STATUS;
	}
}